Bug 1255906 - The field end points is not available which is mentioned as per https://docs.openshift.com/enterprise/3.0/dev_guide/integrating_external_services.html#setting-the-endpoints
The field end points is not available which is mentioned as per https://docs....
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: brice
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 16:38 EDT by Miheer Salunke
Modified: 2015-09-21 02:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 02:21:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miheer Salunke 2015-08-21 16:38:08 EDT
Document URL: 

https://docs.openshift.com/enterprise/3.0/dev_guide/integrating_external_services.html#setting-the-endpoints

Section Number and Name: 
Setting the Endpoints

Describe the issue: 
There's an bug in the documentation. 

The kind is Endpoints, but it cannot have a field 'endpoints' and that field will be ignored.
Comparing https://github.com/kubernetes/kubernetes/blob/master/docs/user-guide/services.md#services-without-selectors with the endpoint.json here: https://docs.openshift.com/enterprise/3.0/dev_guide/integrating_external_services.html#setting-the-endpoints
cant have this:
 "endpoints": [ 
     "my-instance.external-mysql.com:3306"
   ]

You need to have "subsets".


Suggestions for improvement: 
You can refer json files for service and endpoint from 
https://github.com/kubernetes/kubernetes/blob/master/docs/user-guide/services.md#services-without-selectors

Additional information:
Comment 2 brice 2015-08-23 21:11:03 EDT
Miheer,

I've corrected the field in the docs. You can see the work here:

https://github.com/openshift/openshift-docs/pull/905

Is there any suggestions, or anything else for this BZ?

Thanks.
Comment 3 Miheer Salunke 2015-08-24 03:29:28 EDT
Hi,

It looks good.

Thanks and regards,
Miheer
Comment 4 Alex Dellapenta 2015-08-24 17:43:25 EDT
LGTM. Consider linking to https://github.com/kubernetes/kubernetes/blob/master/docs/user-guide/services.md#services-without-selectors in callout 3 as a reference?
Comment 5 brice 2015-08-26 00:39:50 EDT
Done. And Merged.

Note You need to log in before you can comment on or make changes to this bug.